/*
 * virt_in_drv.h
 *
 *
 *  Created on: 15-10-2014
 *      Author: KJ
 */

#ifndef VIRT_IN_DRV_H_
#define VIRT_IN_DRV_H_

#include "tdefs.h"

extern u32 virt_in_states;
extern u32 virt_in_mask;
extern u32 virt_in2_states;
extern u32 virt_in2_mask;

struct virt_in_drv_logic
{
	u8 virt_in_count;
	u16 element_num[];
};

struct virt_in_drv_io
{
}__attribute__((__packed__));

struct virt_in_drv_params
{
}__attribute__((__packed__));

struct virt_in_drv_args
{
	struct virt_in_drv_io io;
	struct virt_in_drv_params params;
//	u16 crc;
}__attribute__((__packed__));

extern int virt_in_drv_initlog(void *args, void *logic);
extern void virt_in_drv_100hz(void *args, void *logic);

#endif /* VIRT_IN_DRV_H_ */
